# Webform Booking Module

The Webform Booking module seamlessly integrates a simple booking system into any webform.

## Table of Contents

1. Features
2. Requirements
3. Installation
4. Configuration
5. Troubleshooting
6. Similar Projects
7. Maintainers

## Features

1. **Flexible Booking Slots:** Easily define time intervals and duration for each booking slot, allowing custom
   schedules and appointments.
2. **Weekday Management:** Disable bookings on specific weekdays (e.g., Saturdays and Sundays) and set different time
   periods for specific days of the week.
3. **Date and Time Exclusions:** Exclude specific dates or time periods for booking, accommodating holidays, events, or
   personal time off.
4. **Real-Time Availability Checks:** Automatically check for booked slots, preventing double bookings for a smooth and
   efficient user experience.
5. **Customizable for Any Webform:** Versatile design to be added to any webform within your Drupal site, providing a
   tailored booking solution.

## Requirements

- Webform

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

1. Once the module is activated, navigate to the configuration page.
2. Add a 'Webform Booking' element to your desired webform.
3. Pay close attention to the provided formats and examples within the tooltips to ensure optimal setup and
   functionality.

## Troubleshooting

If you encounter any issues with the Webform Booking module, consider the following steps:

- Ensure that all module dependencies are met.
- Check for conflicts with other modules.
- Review the Drupal logs for any error messages.

## Similar Projects

- The BEE and BAT (Booking and Availability Management Tools) may offer similar functionality with increased complexity
  and dependencies.

## Maintainers

- Ricardo Marcelino [rfmarcelino](https://www.drupal.org/u/rfmarcelino)

#### Supporting organizations:

- Initial development [Universidade do Minho](https://www.drupal.org/universidade-do-minho)
- Ongoing support [Omibee](https://www.drupal.org/omibee)